Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.part
Class PageBook.PageBookLayout

    java.lang.Object
      org.eclipse.swt.widgets.Layout
          org.eclipse.ui.part.PageBook.PageBookLayout

Enclosing class:
  PageBook

public class PageBook.PageBookLayout
extends Layout

[Issue: This class should be declared private.]

Constructor Summary
`PageBook.PageBookLayout()`

Method Summary
`protected Point` | `computeSize(Composite composite, int wHint, int hHint, boolean flushCache)` Computes and returns the size of the specified composite's client area according to this layout.
`protected void` | `layout(Composite composite, boolean flushCache)` Lays out the children of the specified composite according to this layout.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageBook.PageBookLayout

    public PageBook.PageBookLayout()

Method Detail

### computeSize

    protected Point computeSize(Composite composite,
                                int wHint,
                                int hHint,
                                boolean flushCache)

  Description copied from class: `Layout`
  Computes and returns the size of the specified composite's client area according to this layout.

  This method computes the minimum size that the client area of the composite must be in order to position all children at their minimum size inside the composite according to the layout algorithm encoded by this layout.

  When a width or height hint is supplied, it is used to constrain the result. For example, if a width hint is provided that is less than the minimum width of the client area, the layout may choose to wrap and increase height, clip, overlap, or otherwise constrain the children.

  Specified by:
    `computeSize` in class `Layout`
  Parameters:
    `composite` - a composite widget using this layout
    `wHint` - width (`SWT.DEFAULT` for minimum)
    `hHint` - height (`SWT.DEFAULT` for minimum)
    `flushCache` - `true` means flush cached layout values
  Returns:
    a point containing the computed size (width, height)
  See Also:
    `Layout.layout(org.eclipse.swt.widgets.Composite, boolean)`, `Control.getBorderWidth()`, `Control.getBounds()`, `Control.getSize()`, `Control.pack()`, "computeTrim, getClientArea for controls that implement them"

### layout

    protected void layout(Composite composite,
                          boolean flushCache)

  Description copied from class: `Layout`
  Lays out the children of the specified composite according to this layout.

  This method positions and sizes the children of a composite using the layout algorithm encoded by this layout. Children of the composite are positioned in the client area of the composite. The position of the composite is not altered by this method.

  When the flush cache hint is true, the layout is instructed to flush any cached values associated with the children. Typically, a layout will cache the preferred sizes of the children to avoid the expense of computing these values each time the widget is layed out.

  When layout is triggered explicitly by the programmer the flush cache hint is true. When layout is triggered by a resize, either caused by the programmer or by the user, the hint is false.

  Specified by:
    `layout` in class `Layout`
  Parameters:
    `composite` - a composite widget using this layout
    `flushCache` - `true` means flush cached layout values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.